const { VantResolver } = require('@vant/auto-import-resolver')
const AutoImport = require('unplugin-auto-import/webpack')
const Components = require('unplugin-vue-components/webpack')
const { VueLoaderPlugin } = require('vue-loader');

module.exports = {
  publicPath: './',
  lintOnSave: false,
  configureWebpack: {
    plugins: [
      AutoImport.default({
        resolvers: [VantResolver()]
      }),
      Components.default({ resolvers: [VantResolver()] }),
      // new VueLoaderPlugin()
    ],
    // resolve: {
    //   extensions: ['.ts', '.tsx', '.js', '.vue', '.json'],
    // },
    // module: {
    //   rules: [
    //     {
    //       test: /\.vue$/,
    //       loader: 'vue-loader',
    //     },
    //     {
    //       test: /\.ts$/,
    //       loader: 'ts-loader',
    //       options: {
    //         appendTsSuffixTo: [/\.vue$/], // 允许 Vue 组件使用 TypeScript
    //       },
    //       exclude: /node_modules/,
    //     },
    //   ],
    // },
  },

  devServer: {
    proxy: {
      '/zd-api': {
        target: 'http://local.luojigou.vip/crm-api',
        changeOrigin: true,
        pathRewrite: { '^/zd-api': '' }
      }
      // '/zd-api': {
      //   target: 'http://192.168.1.105:15555',
      //   changeOrigin: true,
      //   pathRewrite: { '^/zd-api': '' }
      // }
      // '/api': {
      //   target: 'http://192.168.1.105:15555',
      //   changeOrigin: true,
      //   pathRewrite: { '^/api': '' }
      // },
    }
  }
}
